<?php

namespace common\logic\Product\ProductPointSale\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Product\ProductPointSale\Model\ProductPointSale;
use common\logic\Product\ProductPointSale\Repository\ProductPointSaleRepository;
use common\logic\Product\ProductPointSale\Service\ProductPointSaleBuilder;

class ProductPointSaleContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return ProductPointSale::class;
    }

    public function getServices(): array
    {
        return [
            ProductPointSaleRepository::class,
            ProductPointSaleBuilder::class,
        ];
    }

    public function getRepository(): ProductPointSaleRepository
    {
        return ProductPointSaleRepository::getInstance();
    }

    public function getBuilder(): ProductPointSaleBuilder
    {
        return ProductPointSaleBuilder::getInstance();
    }
}